Gentoo Archives: gentoo-dev

From: Svyatogor <svyatogor@g.o>
To: gentoo-dev@g.o
Subject: [gentoo-dev] linux-headers ebuild version.
Date: Fri, 20 Jun 2003 17:33:11
Message-Id: 200306202020.32428.svyatogor@gentoo.org
I have recently been installing gentoo on a new (well actually very old) box 
and I noticed the following strange thing. 
Some packages (e.g.: iptables, iputils, baselayout) are deperate to install 
the linux-headers, which is no suprise. However, the latest version of 
linux-headers package in 2.4.19, while the *sources are at 2.4.21. 

AFAIK the version of headers and of kernel are supposed to be the same. But in 
this case, I'll have vanilla-sources-2.4.21 and say my iptables will be build 
against headers for 2.4.19.

My question is: are there any plans to bump up the version of the headers 
package, or it is obsolete. In the later case, I guess, no package should 
depend on virtual/os-headers any more, but rather on virtual/linux-sources 
(or probably the *sources, shoudl provide os-headers).
-- 
Sergey Kuleshov <svyatogor@g.o>
Let the Force be with us!


--
gentoo-dev@g.o mailing list

Replies

Subject Author
Re: [gentoo-dev] linux-headers ebuild version. Chris PeBenito <pebenito@g.o>